petsc-3.7.1 2016-05-15
Report Typos and Errors

# EventPerfLogActivate

Indicates that a particular event should be logged.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode EventPerfLogActivate(PetscEventPerfLog eventLog, PetscLogEvent event)

Not Collective Many br

### Input Parameters

| eventLog | - The PetscEventPerfLog Many br
| event | - The event Many br

### Usage

          EventPerfLogDeactivate(log, VEC_SetValues);
            [code where you do not want to log VecSetValues()]
          EventPerfLogActivate(log, VEC_SetValues);
            [code where you do want to log VecSetValues()]

Many br

### Note

The event may be either a pre-defined PETSc event (found in Many brinclude/petsclog.h) or an event number obtained with EventRegLogRegister(). Many br

Many br

### Keywords

log, event, activate

### See Also

PetscLogEventMPEDeactivate(), PetscLogEventMPEActivate(), EventPerfLogDeactivate()

Level:developer
Location:src/sys/logging/utils/eventlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages